openapi: 3.0.3
info:
  title: Payments - Gateway
  version: v0.2.0
  x-build: 20250929_2002
servers:
  - url: /
paths:
  /adm/api/Gateway/providers:

  post:
    summary: Listar providers
    requestBody:
      required: false
      content:
        application/json:
          schema: {"type": "object", "properties": {"page": {"type": "integer"}, "per_page": {"type": "integer"}}}
    responses:
      '200':
        description: OK
        content:
          application/json:
            schema: {"type": "object", "properties": {"ok": {"type": "integer"}, "data": {"type": "object"}}}
  /adm/api/Gateway/providerGet:

  post:
    summary: Obter provider
    requestBody:
      required: false
      content:
        application/json:
          schema: {"type": "object", "properties": {"page": {"type": "integer"}, "per_page": {"type": "integer"}}}
    responses:
      '200':
        description: OK
        content:
          application/json:
            schema: {"type": "object", "properties": {"ok": {"type": "integer"}, "data": {"type": "object"}}}
  /adm/api/Gateway/providerSave:

  post:
    summary: Salvar provider
    requestBody:
      required: false
      content:
        application/json:
          schema: {"type": "object", "properties": {"page": {"type": "integer"}, "per_page": {"type": "integer"}}}
    responses:
      '200':
        description: OK
        content:
          application/json:
            schema: {"type": "object", "properties": {"ok": {"type": "integer"}, "data": {"type": "object"}}}
  /adm/api/Gateway/accounts:

  post:
    summary: Listar contas
    requestBody:
      required: false
      content:
        application/json:
          schema: {"type": "object", "properties": {"page": {"type": "integer"}, "per_page": {"type": "integer"}}}
    responses:
      '200':
        description: OK
        content:
          application/json:
            schema: {"type": "object", "properties": {"ok": {"type": "integer"}, "data": {"type": "object"}}}
  /adm/api/Gateway/accountGet:

  post:
    summary: Obter conta (decriptada)
    requestBody:
      required: false
      content:
        application/json:
          schema: {"type": "object", "properties": {"page": {"type": "integer"}, "per_page": {"type": "integer"}}}
    responses:
      '200':
        description: OK
        content:
          application/json:
            schema: {"type": "object", "properties": {"ok": {"type": "integer"}, "data": {"type": "object"}}}
  /adm/api/Gateway/accountSave:

  post:
    summary: Salvar conta
    requestBody:
      required: false
      content:
        application/json:
          schema: {"type": "object", "properties": {"page": {"type": "integer"}, "per_page": {"type": "integer"}}}
    responses:
      '200':
        description: OK
        content:
          application/json:
            schema: {"type": "object", "properties": {"ok": {"type": "integer"}, "data": {"type": "object"}}}
  /adm/api/Gateway/accountToggle:

  post:
    summary: Ativar/Desativar conta
    requestBody:
      required: false
      content:
        application/json:
          schema: {"type": "object", "properties": {"page": {"type": "integer"}, "per_page": {"type": "integer"}}}
    responses:
      '200':
        description: OK
        content:
          application/json:
            schema: {"type": "object", "properties": {"ok": {"type": "integer"}, "data": {"type": "object"}}}
